WinCss Übersicht
Copyright

Diese Help Datei beinhaltet das elektronische Handbuch der CSS Windows Benutzerschnittstelle WinCss. Es enthält die vollständige Beschreibung aller Dialogelemente sowie deren Inhalt.

Um Informationen über die Unix und Windows/NT CSS Programme zu erhalten, konsultieren Sie bitte das CSS Online Handbuch, welches einen integrierenden Bestandteil der CSS Dokumentation bildet.

Das Online Handbuch wird nur mit der Server Version von CSS vertrieben. Es kann jedoch von der Unitec Web Seite auf Ihr System geladen werden. Instruktionen dazu finden Sie im Abschnitt Online Manual.

WinCss Highlights

  • Office Look and Feel
  • Drag and Drop Bedienung
  • Kontext Menüs
  • Vorschau der Auswertungen mit Textsuche
  • Strukturierte Ansicht der Drucker- und Warteschlangendaten zur vereinfachten Selektion
  • Implementiert mit dem weit verbreiteten Unitec Communication Manager UCM
  • Installieren und verwenden, keine zusätzliche Konfiguration notwendig

CSS Highlights

Einige der wichtigen Eigenschaften der CSS und CssNT Server Software sind:

  • Unterstützung für mehrere virtuelle Server Umgebungen. Damit kann im Rechenzentrumsbetrieb für jeden Kunden oder jede Benutzergruppe ein eigener Druckserver eingerichtet werden.
  • Möglichkeit der geräteunabhängigen Programmierung
  • Definitionsdatenbank für Drucker und Formulare
  • Formulardefinitions Utility / Laserdrucker Makroverwaltung
  • Einfach zu bedienendes Dialogprogramm für alle Verwaltungsaufgaben
  • Lpr-Optionen innerhalb der Druckdatei
  • Verwaltung von Formularwarteschlangen
  • Report Preview (Anzeige von Druckdateien mit Suchfunktion)
  • Testdruck (Richttest)
  • Integrierte Druckdatei Verwaltung mit Aufbewahrungsdatum
  • Übersetzungstabellen für Zeichen- und Zeichensequenzen
  • Multiuser Tauglichkeit
  • Kompression der CSS Zwischendateien
  • Unterstützung der Netzwerk Druckprotokolle lpd, rtel, pros und raw
  • Grafische Oberfläche für Windows Workstations

Über WinCss lesen.

Back To Top


Über WinCss

Das Produkt CSS Commercial Spooling System ist ein Softwarepaket zur einfachen Verwaltung und Steuerung der gesamten Druckausgabe unter UNIX und Windows/NT Systemen.

Die Funktionen und die Bedienung von CSS sind speziell auf die Bedürfnisse der kommerziellen EDV zugeschnitten.

Das in diesem Help Dokument beschriebene WinCss Programm erlaubt die einfache Bedienung der Unix, resp. Windows/NT Druckverwaltung auf Windows Arbeitsplatz Systemen.

Alle Arbeiten können mit der von Ihren favorisierten Arbeitsmethode wie Drag and Drop, Kontext Menüs, Toolbars und Doppelklick oder Standartmenü Bedienung durchgeführt werden.

Back To Top


WinCss Befehl
Synopsis Beschreibung Optionen Hinweise Files Siehe auch

Synopsis

WinCss [-m] [-h host] [-p port]

Beschreibung

Mit WinCss können alle bei der Druckverwaltung anfallenden Arbeiten wie z.B.: Statusabfragen, Formularwechsel, Prioritätensteuerung usw. von jedem Windows Client System aus erledigt werden. Die Bedienung der grafischen Oberfläche erfolgt unter den in Windows üblichen Standarts. Wo immer möglich, kann mit der rechten Maustaste ein dem aktuellen Kontext entsprechendes Popupmenu geöffnet werden. Die aktuellen Daten werden in Tabellen dargestellt. Bei mehreren Tabellenelementen kann durch Doppelklick mit der linken Maustaste ein Dialogfenster geöffnet werden, um dem Inhalt entsprechende Aktionen auszulösen. Diese Elemente werden in diesem Dokument als Datenfeld-Schalter bezeichnet.

Viele Verwatlungsaufgaben können mittels Drag And Drop erledigt werden. Dabei wird ein Objekt mit der linken Maustaste angewählt und mit der gedrückten Taste über ein anderes Objekt gezogen (Drag). Der Mauszeiger verändert während dieses Vorganges seine Form. Ist das Zielobjekt erreicht, wird die Maustaste losgelassen (Drop) und ein der Aktion entsprechendes Dialogfenster wird geöffnet. Zum Beispiel kann ein Formularwechsel durch Drag einer Datenzeile des Formularfensters und Drop auf ein Element des Druckerfensters ausgelöst werden.

Folgende Hauptfenster sind verfügbar:

Hauptsteuerung | Kleines Fenster mit Schaltern (sog. Toolbar Buttons) zum öffnen der unten aufgeführten Datenfenster.
Formulare | Liste aller in CSS definierter Formulare.
Drucker | Liste aller in CSS definerter Drucker. Aktionen: Drucker stoppen, Druckvorgang abbrechen, Drucker starten, Formularwechsel durchführen.
Auswertungen | Liste der sich in der Warteschlange befindenden Auswertungen. Aktionen: beschleunigen, blockieren (Druck aufschieben), zum Druck freigeben, umleiten, stoppen, Ahnzahl Kopien ändern, anzeigen und löschen

Die Sprache des WinCss Dialoges kann im Menu Ansicht | Sprache ausgewählt werden. Einige Darstellungselemente wie Menü, Statuszeile und Tool Tips (kleine Hinweisfenster) können ebenfalls im Menü Ansicht ein- resp. ausgeschaltet werden. Wurde das Menü selbst ausgeschaltet kann es durch das Betätigen der rechten Maustaste über der Toolbar wieder sichtbar gemacht werden.

Optionen

Die folgenden Optionen werden von WinCss erkannt:

-h host | WinCss verbindet sich mit dem CSS Server auf dem System mit der IP Adresse host.
-m | Normalerweise verzweigt WinCss direkt in das Fenster Warteschlange. Mit der m-Option kann das Minifenster Hauptsteuerung eingeblendet werden.
-p port | Definiert die zu verwendende TCP/IP Portnummer. Default is 6801, resp. der in den Programmoptionen gestzte Wert. Siehe auch unter WinCss(C) und CssWs(U) im Online Handbuch.

Hinweise

Als Optionszeichen kann neben dem Bindestrich '-' auch der Slash '/' verwendet werden.

Das Fenster Drucker zeigt folgende Statusinformationen an:
Drucker Status | Beschreibung
bereit | wartend, ohne Arbeit
start | ein Ausdruck beginnt
aktiv | druckend
besetzt | Drucker wird von einem Software-Paket mit integriertem Spooler benutzt (siehe auch el-Eintrag in css.devices(C) im Online Handbuch)
stopp | Der Drucker ist aktiv, wird jedoch nach der Ausertung gestoppt.
umgeleitet auf dev | Die Ausgabe erfolgt auf den bezeichneten Drucker.
off line | Der Drucker ist nicht eingeschaltet. Dieser Zustand kann nur bei gewissen Schnittstellen erkannt werden.
inaktiv | Drucker gestoppt

Bei der Anzeige von Auswertungen am Bildschirm können Folgen von mehreren Leerzeilen komprimiert dargestellt werden.

Wird in einer Datentabelle eine Zeile durch Mausklick angewählt, wird sie mit einem hellgelben Hintergrund belegt. Ein solcher Eintrag wird in der untenstehenden Beschreibung als aktuelles Element bezeichnet (z.B. aktuelle Auswertung).

Siehe auch

Client Konfiguration, Verbindungsoptionen, Allgemeine Optionen

Files

Windows Registry WinCss Konfiguration unter dem Schlüssel
HKEY_LOCAL_MACHINE\SOFTWARE\Unitec\WinCss

Zurück zum Anfang


Hauptsteuerung

WinCss Unitec Home Page

X
X

Hauptsteuerung (Mini Toolbar)
Die Hauptsteuerung ist Ihr WinCss Kontrollzentrum bei beschränktem Bildschirmplatz.

Toolbar Schalter
 Popup Menüs
Toolbar Schalter
Schalter | Name | Beschreibung
 | Warteschlange | Mit Hilfe des Warteschlangefensters können die gegenwärtig vorhandenen Auswertungen verwaltet werden.
 | Drucker | Das Druckerfenster dient zur Verwaltung aller im CSS System definierten Drucker.
 | Formulare | In diesem Fenster werden alle dem CSS System bekannten Formulare aufgelistet.
 | Optionen | Erlaubt diverse Programmptionen zu setzen.
 | Hilfe | Startet WinCss Help, Kapitel Hauptsteuerung.
 | Exit | Die Betätigung dieses Schalters beendet WinCss und schliesst alle geöffneten Fenster.
Popup Menüs
Die Betätigung der rechten Maustaste löst auf bestimmten Bereichen ein Popup Menü aus:
Bereich | Menü
Toolbar | Ein- resp. ausschalten des Menüs sowie der Schalter (Toolbar).

Siehe auch Allgemeine Optionen, Bedienung, WinCss Befehl


Auswertungen, Warteschlange
Mit dem Fenster Auswertungen können Sie auf leichte Art und Weise alle Verwaltungsaufgaben der Warteschlange durchführen.

Toolbar Schalter
 Inhalt der Datentabelle
 Datenfeld Aktionen
 Drag and Drop
 Popup Menüs
Toolbar Schalter
Schalter | Name | Beschreibung
 | Drucker | Das Druckerfenster dient zur Verwaltung aller im CSS System definierten Drucker. Dieser Schalter wird hier nicht angezeigt, falls das Programm mit der m-Option gestartet wurde.
 | Formulare | In diesem Fenster werden alle dem CSS System bekannten Formulare aufgelistet. Dieser Schalter wird hier nicht angezeigt, falls das Programm mit der m-Option gestartet wurde.
 | Anwender Selektion | Darstellen nur eigene / alle Auswertungen
 | Strukturierte Ansicht | Die strukturierte Ansicht erlaubt eine flexible Gruppierung der Daten nach beliebigen Kriterien.
 | Freigeben | Gibt die bezeichnete Auswertung zum Ausdruck frei.
 | Sofortdruck | Wie 'Freigeben', jedoch ohne vorgängiges Dialogfenster zur Feineinstellung der Druckoptionen.
 | Blockieren | Blockiert resp. stoppt den Ausdruck der aktuellen Auswertung.
 | Beschleunigen | Setzt die Auswertung an den Anfang der Warteschlange des entsprechenden Formulars. Hinweis: Auswertungen können nur gegenüber eigenen anderen Auswertungen beschleunigt werden.
 | Anzahl Kopien | Startet einen Dialog zur Änderung der Anzahl Kopien.
 | Umleiten | Startet den Dialog zur Umleitung der Auswertung auf einen anderen Drucker.
 | Anzeigen | Zeigt die Auswertung in einem separaten Fenster an. Diese Funktion ist nur in der 32 Bit Version verfügbar.
 | Löschen | Löscht die aktuelle Auswertung.
 | Hilfe | Startet WinCss Help, Kapitel Auswertungen.
 | Schliessen | Schliesst das aktive Fenster.
Inhalt der Datentabelle

Titel | Zelleninhalt
Nr. | Auswertungsnummer. Eine rote Nummer kennzeichnet, dass auf diese Auswertung keine Zugriffsberechtigung besteht.
Bezeichnung | Vom Applikationsprogramm definierte Auswertungsbezeichnung.
Frm | Das für die Auswertung benötigte Formular.
Status | Auswertungsstatus wie z.B. bereit, druckend, blockiert, usw.
DNr | Nummer des Druckers auf welchem die Auswertung verarbeitet werden soll.
Seiten | Anzahl Seiten im Dokument.
Kopien | Anzahl zu druckende Kopien.
Datum | Erstelldatum der Auswertung.
Zeit | Erstellzeit der Auswertung.
MKZ | Kurzzeichen des Mitarbeiters, der die Auswertung erstellt hat.
Datenfeld Aktionen
Folgende Datenfelder lösen durch Doppelklick eine Aktion aus:
Datenfeld | Aktion
Nr., Bez. | Zeigt den Inhalt der Auswertung in einem separaten Fenster an.
DNr | Startet den Dialog zur Umleitung der Auswertung auf einen anderen Drucker.
Status | Löst je nach aktuellem Auswertungsstatus einen entsprechenden Dialog (freigeben, aktivieren, stoppen) aus.
Kopien | Startet den zur Änderung der Anzahl Kopien bestimmten Dialog.
Drag and Drop

Drag Objekt | Drop Objekt | Aktion
Drucker | Auswertung | Löst je nach aktuellem Drucker- und Auswertungsstatus einen entsprechenden Dialog (freigeben, umleiten, aktivieren, Formularwechsel) aus.
Auswertung | Drucker | Wie oben.
Popup Menüs
Die Betätigung der rechten Maustaste löst auf bestimmten Bereichen ein Popup Menü aus:
Bereich | Menü
Toolbar | Ein- resp. ausschalten des Menüs sowie der Schalter (Toolbar).
Datenzeile | Menü mit allen auch via Toolbar möglichen Aktionen.
Tabellentitel | Aktivieren und deaktivieren der einzelnen Datenspalten.

Siehe auch Bedienung, Vorschau


Drucker
Mit dem Fenster Drucker können Sie auf leichte Art und Weise alle Verwaltungsaufgaben der Drucker durchführen.

Toolbar Schalter
 Inhalt der Datentabelle
 Datenfeld Aktionen
 Drag and Drop
 Popup Menüs
Toolbar Schalter
Schalter | Name | Beschreibung
 | Strukturierte Ansicht | Die strukturierte Ansicht erlaubt eine flexible Gruppierung der Daten nach beliebigen Kriterien.
 | Formularwechsel | Löst für den aktuellen Drucker den Formularwechsel Dialog aus.
 | Aktivieren | Aktiviert den aktuellen Drucker.
 | Inaktiv setzen | Stoppt den aktuellen Drucker und/oder setzt ihn in den Status inaktiv.
 | Drucker umleiten | Leitet die gesamte Ausgabe auf einen anderen Drucker um.
 | Umleitung aufheben | Hebt die Umleitung des aktuellen Druckers auf.
 | Hilfe | Startet WinCss Help, Kapitel Drucker.
 | Schliessen | Schliesst das aktive Fenster.
Inhalt der Datentabelle

Titel | Zelleninhalt
Nr. | Druckeridentifikation. Eine rote Nummer kennzeichnet, dass im Moment auf diesen Drucker keine Zugriffsberechtigung besteht.
Bezeichnung | Druckerbezeichnung.
Frm | Das im Drucker eingelegte Formular. Auswertungen können nur ausgedruckt werden, wenn der Drucker das entsprechende Formular eingelegt hat und ein Formularwechsel durchgeführt wurde.
Status | Druckerstatus wie z.B. bereit, aktiv, inaktiv, usw.
Auswertung | Bei Druckerstatus aktiv, zeigt dieses Feld die Bezeichnung der momentan druckenden Auswertung an.
Seite/von | Momentan druckende Seite / Total Seiten.
Kopie/von | Momentan druckende Kopie / Total Kopien.
MKZ | Kurzzeichen des Mitarbeiters, der die momentan druckende Auswertung erstellt hat.
Datenfeld Aktionen
Folgende Datenfelder lösen durch Doppelklick eine Aktion aus:
Datenfeld | Aktion
Frm | Löst den Dialog zur Formularwahl aus.
Status | Löst je nach aktuellem Status einen entsprechenden Dialog (freigeben, umleiten, blockieren, stoppen) aus.
Drag and Drop

Drag Objekt | Drop Objekt | Aktion
Formular | Drucker | Löst den Formularwechsel Dialog aus.
Drucker | Auswertung | Löst je nach aktuellem Drucker- und Auswertungsstatus einen entsprechenden Dialog (freigeben, umleiten, aktivieren, Formularwechsel) aus.
Auswertung | Drucker | Wie oben.
Popup Menüs
Die Betätigung der rechten Maustaste löst auf bestimmten Bereichen ein Popup Menü aus:
Bereich | Menü
Toolbar | Ein- resp. ausschalten des Menüs sowie der Schalter (Toolbar).
Datenzeile | Menü mit allen auch via Toolbar möglichen Aktionen.
Tabellentitel | Aktivieren und deaktivieren der einzelnen Datenspalten.

Siehe auch Bedienung, Formulare, Warteschlange


Formulare
Mit dem Fenster Formulare können Sie mittels Drag and Drop einen Formularwechsel durchführen.

Toolbar Schalter
 Inhalt der Datentabelle
 Drag and Drop
 Popup Menüs
Toolbar Schalter
Schalter | Name | Beschreibung
 | Hilfe | Startet WinCss Help, Kapitel Formulare.
 | Schliessen | Schliesst das aktive Fenster.
Inhalt der Datentabelle

Titel | Zelleninhalt
ID | Formularidentifikation
Bezeichnung | Formularbezeichnung
Drag and Drop

Drag Objekt | Drop Objekt | Aktion
Formular | Drucker | Löst den Formularwechsel Dialog aus.
Popup Menüs
Die Betätigung der rechten Maustaste löst auf bestimmten Bereichen ein Popup Menü aus:
Bereich | Menü
Toolbar | Ein- resp. ausschalten des Menüs sowie der Schalter (Toolbar).
Tabellentitel | Aktivieren und deaktivieren der einzelnen Datenspalten.

Siehe auch Bedienung, Drucker, Auswertungen


Report Preview, Vorschau
Mit der Vorschau können Sie vor dem Ausdruck Auswertungen betrachten.

Toolbar Schalter
 Popup Menüs
Toolbar Schalter
Schalter | Name | Beschreibung
 | Erste Seite | Ansicht auf erste Seite positionieren.
 | Seite rückwärts | Eine Seite zurück.
 | Seite vorwärts | Eine Seite vorwärts.
 | Letzte Seite | Ansicht auf letzte Seite positionieren.
 | Nach Seite... | Gehe nach Seite.
 | Rückwärts suchen | Mit letztem Suchbegriff rückwärts weitersuchen.
 | Suchen | Text suchen.
 | Weitersuchen | Mit letztem Suchbegriff vorwärts weitersuchen.
 | Kopieren | Markierten Text in die Zwischenablage kopieren.
 | Schrift grösser | Grössere Schrift wählen.
 | Schrift kleiner | Kleinere Schrift wählen.
 | Komprimieren | Eine Folge von mehreren Leerzeilen zu einer Zeile komprimieren.
 | Hilfe | Startet WinCss Help, Kapitel Vorschau.
 | Schliessen | Schliesst das aktive Fenster.
Popup Menüs
Die Betätigung der rechten Maustaste löst auf bestimmten Bereichen ein Popup Menü aus:
Bereich | Menü
Toolbar | Ein- resp. ausschalten des Menüs sowie der Schalter (Toolbar).
Ansicht | Menü mit allen auch via Toolbar möglichen Aktionen.

Siehe auch Auswertungen, Bedienung


Hinweise zur Bedienung
Die Bedienung der WinCss Dialogfenster erfolgt im allgemein bekannten Windows Standart. Eine Ausnahme bildet der Sortiermechanismus von Datentabellen.

Zur Erinnerung sind nachfolgend die wichtigsten Aktionen aufgeführt:

Popup Menüs
Sortierung
Selektion
Popup Menüs
Popup Menüs werden durch die Betätigung der linken Maustaste ausgelöst. Der Inhalt der Menüs richtet sich nach dem Kontext, d.h. dem Bereich, in welchem sich der Mauszeiger befindet.
Sortierung
Im Gegensatz zu bekannten Windows Programmen, wie z.B. dem Explorer, erlaubt WinCss das Sortieren der in Tabellen dargestellten Daten nach mehreren Kolonnen. Durch Mausklick auf den gewünschten Kolonnentitel wird die Sortierung eingestellt. Es gibt drei verschiedene Zustände:
Symbol | Sortierung
 | Keine spezielle Sortierung.
 | Aufsteigende Sortierung, d.h. der kleinste Wert zuerst, der grösste Wert zuletzt.
 | Absteigende Sortierung, d.h. der grösste Wert zuerst, der kleinste Wert zuletzt.

Die Gewichtung der an einer Sortierung beteiligten Kolonnen ist von links nach rechts. Wird eine andere Gewichtung gewünscht, können die Kolonnen durch Klick und Drag neu angeordnet werden.

Tipp: Um die Sortierung aller Kolonnen aufzuheben, kann das Popup Menü, welches durch Betätigung der rechten Maustaste auf dem Titelbereich erscheint, verwendet werden.

Selektion mehrerer Elemente
Die Selektion mehrerer Datenzeilen einer Tabelle erfolgt mit der linken Maustaste:
Methode | Selektion
ziehen (drag) | Ziehen mit gedrückter Maustaste selektiert mehrere sich folgende Datenzeilen.
Umschalttaste | Klicken mit gedrückter Umschalttaste selektiert den Bereich von der letzten Mauszeigerposition bis zur Klickposition.
Steuerungstaste | Klicken mit gedrückter Steuerungstaste fügt die betroffene Zeile zur Selektion hinzu. Ein zweiter Klick entfernt die Zeile von der Selektion.

Tipp: Mit dem Popup Menü, welches durch Betätigung der rechten Maustaste auf einem Strukturknoten erscheint, können alle Elemente dieses Knotens selektiert werden.


WinCss Options - Allgemein

WinCss Unitec Home Page

X
X

WinCss Optionen - Allgemein
Der Abschnitt Allgemein des Fensters Optionen erlaubt die Verwaltung der allgemeinen Einstellungen von WinCss.

Allgemeine Optionen
Allgemeine Optionen
Option | Beschreibung
Starten mit Mini Toolbar Fenster | Ist diese Option gesetzt startet WinCss mit dem Toolbar Fenster Toolbar Fenster (siehe Hauptsteuerung).
Feldaktion durch Einfachklick | Das Setzen dieser Option erlaubt es, Feldaktionen mit einem einfachen Maustastenklick auszulösen (Standarteinstellung ist der Doppelklick).
Schaltflächen für Feldaktionen anzeigen | Das Setzen dieser Option bewirkt die Darstellung einer kleinen Schaltfläche in jedem Feld, welchem eine Aktion zugeordnet ist.
Automatischer Mauszeiger | Ist diese Option gesetzt, springt beim öffnen eines Fensters der Mauszeiger auf die Default-Schaltfläche.
Löschen mit Bestätigung | Das Ausschalten dieser Option verhindert den üblichen Bestätigungsdialog beim Löschen von Auswertungen. Die Verwendung erfolgt auf eigenes Risiko.

Siehe auch Farboptionen, Verbindungsoptionen


WinCss Options - Allgemein

WinCss Unitec Home Page

X
X

WinCss Optionen - Farben
Der Abschnitt Allgemein des Fensters Optionen erlaubt die Verwaltung der allgemeinen Einstellungen von WinCss.

Farboptionen
Farboptionen
Option | Beschreibung
Default | Wählt die WinCss Standardfarbe für den gewählten Bereich.
Normal | Wechselt zur Standard-Farbpalette
System | Wechselt zur System-Farbpalette
Mehr Farben | Öffnet das erweiterte Farbwahlfenster um zusätzliche Farben zu wählen oder eine eigene Palette zu definieren

Tipp: Um über die Systemfarben Hinweise zu erhalten, kann der Mauszeiger für eine kurze Weile auf den einzelnen Farbschaltern belassen werden. Nach ca. 1 Sekunde werden QuickInfos eingeblendet.

Siehe auch Allgemeine Optionen, Verbindungsoptionen


WinCss Options - Verbindung

WinCss Unitec Home Page

X
X

WinCss Optionen - Verbindung
Der Abschnitt Verbindung des Fensters Optionen erlaubt die Einstellungen der Netzwerkverbindung von WinCss.

Verbindungsoptionen
Verbindungsoptionen
Option | Beschreibung
IP Adresse | The IP address of the CSS server system.
Port Nummer | Die TCP/IP Port Nummer unter welcher die CSS Interface Dienste angeboten werden. Für eine Beschreibung der IP Adresse und der Port Nummer siehe nächster Abschnitt.
Server IP Adresse bei jedem Programmstart wählen | Das Setzen dieser Option erlaubt es dem Anwender, bei jedem Programmstart die CSS Server IP Adresse zu wählen.
Loginnamen für CSS Server auf Kleinschreibweise konvertieren | Mit dieser Option können Konflikte durch unterschiedliche Schreibweise der Windows und Unix Loginnamen vermieden werden.

Bitte beachten Sie, dass diese Optionen beim Programmende in der Windows Registry gespeichert werden und erst beim nächsten Aufruf von WinCss aktiv werden.

Siehe auch Allgemeine Optionen, Farboptionen, Client Konfiguration


WinCss Client Konfiguration

Die Installation von WinCss folgt den unter Windows üblichen Standards. Beim ersten Programmstart verlangt WinCss die Eingabe der IP Adresse des CSS Print Servers und schlägt die TCP/IP Portnummer 6801 als Default vor. Wird diese Portnummer in Ihrem Netzwerk schon für andere Zwecke verwendet, muss ein anderer, von Ihrem Netzwerk Administrator festgelgter Wert, eingegeben werden. In diesem sehr unwahrscheinlichen Fall müssen zusätzlich manuelle Konfigurationen durchgeführt werden.

TCP/IP Ports und Services
 Zusätzliche CSS Client Konfiguration
 Starten von WinCss / Fehlerbehebung
TCP/IP Ports und Services

Beim Aufbau einer TCP/IP Client-Server Verbindung muss dem Client (WinCss) die Rechneradresse (IP Adresse) des Rechners, welcher die Serverdienste anbietet bekannt sein. Zusätzlich wird jeder Verbindungstyp (z.B. cssws zu WinCss) durch eine eindeutige Portnummer identifiziert. Das TCP/IP services File definiert symbolische Bezeichnungen für die meisten in einem Netzwerk verwendeten Ports. Bei der Verwendung dieser Service-Namen muss die services Datei auf jedem Knoten, d.h. auf dem Host- und auf allen Client-Systemen, vorhanden sein. Bei Unix Systemen ist services im Directory /etc gespeichert. Bei Windows Systemen variiert das Directory je Betriebsssytem. Jede Zeile in der services Datei enthält den Service Namen, eine Portnummer und einen Porttyp (CSS verwendet immer den Typ tcp). Um Konflikte mit standart TCP/IP Ports zu vermeiden, sollten Portnummern > 5000 verwendet werden. Unitec Produkte verwenden Portnummern im Bereich von 6800 bis 6999.

Da die Verwaltung von services Datein in heterogenen Netzwerken mit einem erheblichen administrativen Aufwand verbunden ist, ist man in letzter Zeit vermehrt dazu übergegangen, für jeden Verbindungstyp Portnummern festzulegen (sog. well known ports). Für die WinCss Verbindung wurde Port 6801 als Default definiert. Um Konflikte mit Software von anderen Herstellern zu vermeiden, kann beim Setup von WinCss eine andere Portnummer angegeben werden. Dieser Wert wird in der Windows Registry unter dem Schlüssel

HKEY_LOCAL_MACHINE\SOFTWARE\Unitec\WinCss\CurrentVersion

im Bezeichner CssPort abgelegt.

Für alle CSS Server (Unix und Windows NT) ist die Portnummer in der Konfigurationsdatei css.default im Parameter WINCSS_PORT definiert.

Die Programme cssws und WinCss erlauben zusätzlich die TCP/IP Konfiguration auf der Befehlszeile anzugeben. Beispiel:

cssws -p 7001 | der Unix WinCss Server soll die Portnummer 7001 verwenden
WinCss -h 128.41.1.1 -p 7001 | der WinCss Client verbindet sich mit dem CSS Server auf dem Host mit der IP Adresse 128.41.1.1 unter Verwendung der Portnummer 7001

Für Informationen betreffend der Konfiguration des Unix und Windows/NT Servers siehe in den entsprechenden Abschnitten und im CSS Online Handbuch.
Zusätzliche CSS Client Konfiguration

Das Windows CSS Programm kann in zwei unterschiedlichen Arten betrieben werden. Beim Standartbetrieb wird das Window Warteschlange zur Hauptsteuerung verwendet. Mit der Option -m oder /m kann dazu auch das Mini Toolbar Fenster verwendet werden. Die Option kann nach der Installation in den Properties des Programmes WinCss.exe im WinCss Folder als Default definiert werden.

Zusätzlich kann mit der Option -h oder /h die IP Adresse des Servers und mit -p oder /p die TCP/IP Portnummer angegeben werden. Damit ist es möglich, von einem Client auf mehrere CSS Server gleichzeitig zuzugreifen.
Starten von WinCss / Fehlerbehebung

Es muss sichergestellt werden, dass alle oben beschriebenen Schritte durchgeführt wurden und das Programm setup.exe ohne Fehler abgelaufen ist. WinCss ist nun für den ersten Einsatz bereit. Treten beim Aufstarten Fehler auf, überprüfen Sie bitte nochmals Ihre TCP/IP Eingaben. Nachdem die notwendigen Änderungen gemacht wurden, muss der Unitec Communication Manager Ucm.exe gestoppt werden. Dieser Prozess wird auf dem Windows System automatisch gestartet und läuft unsichtbar im Hintergrund. Um das Programm zu stoppen, geben Sie Ctrl-Alt-U ein um das UCM Icon auf der Windows Taskbar sichtbar zu machen. Durch Betätigung der rechten Maustaste wird ein Popup-Menü sichtbar auf welchem Sie die Aktion Close auswählen sollten. Wird eine Warnung ausgegeben bestätigen Sie diese mit dem Close Schalter. WinCss kann nun neu gestartet werden.

Das Hilfsprogramm CssVerCk.exe kann verwendet werden um Versionskonflikte mit den installierten Windows Komponenten zu erkennen.

Siehe auch Verbindungsoptionen, Allgemeine Optionen


Unix CSS Server Konfiguration

Die Installation von Unix CSS erfordert einige System Administrator Kenntnisse. Die folgenden Abschnitte vermitteln weitere nützliche Informationen.

TCP/IP Ports und Services
 Starten des Server Prozesses
TCP/IP Ports und Services

Für alle CSS Server (Unix und Windows NT) ist die WinCss TCP/IP Portnummer 6801 vordefiniert, kann jedoch in der Konfigurationsdatei css.default im Parameter WINCSS_PORT geändert werden.

Die Programme cssws(U) und WinCss erlauben zusätzlich die TCP/IP Konfiguration auf der Befehlszeile anzugeben.
Starten des Server Prozesses

Beim Systemstart muss - wie jeder andere Server Prozess auch - das Programm /usr/lib/css/cssws aufgerufen werden. Dazu stehen verschiedene Systemdienste, wie z.B. /etc/rc(4) oder /etc/inittab(4) zur Verfügung.

/etc/rc:

/usr/lib/css/cssws 2>/dev/null 1>&2

Nuf Unix System V:

Dieselbe Verarbeitung kann unter System V durch folgenden Eintrag in /etc/inittab(4) erreicht werden:

cssws:1:respawn:/usr/lib/css/cssws 2>/dev/null 1>&2

Internet Super Server (inetd):

Da der Internet Super Server inetd(1) symbolische Service Namen erwartet, muss in der Datei /etc/services folgende Zeile eingefügt werden:

cssws 6801/tcp # WinCss server

Fügen Sie danach folgende Zeilen in der Datei /etc/inetd.conf ein:

# CSS Service
cssws stream tcp nowait root /usr/lib/css/cssws -i

Der inetd(1) Prozess liest beim Aufstarten die Datei /etc/inetd.conf, um sich selbst zu initialisieren. Dies macht die Dienste des cssws Servers für Verbindungen des Windows Client Programmes WinCss.exe verfügbar.

Wird cssws nicht vom init(1) Programm gestartet, setzt sich der cssws(U) Prozess automatisch in den Hintergrund (detach).

Hinweis:

Die WinCss Software muss mit dem Unitec License Manager ulm(I) Programm registriert und serialisiert werden.

Siehe auch Client Konfiguration, Verbindungsoptionen


Windows/NT CSS Server Konfiguration

Die WinCss Server Dienste werden vom Programm CssNTSrv zur Verfügung gestellt. Dieses Programm wird von Setup als NT Service installiert und startet beim Systemboot automatisch.

Für alle CSS Server (Unix und Windows NT) ist die WinCss TCP/IP Portnummer 6801 vordefiniert, kann jedoch in der Konfigurationsdatei css.default im Parameter WINCSS_PORT geändert werden.

Die Programme cssws(U)und WinCss erlauben zusätzlich die TCP/IP Konfiguration auf der Befehlszeile anzugeben.

Hinweis:

Die WinCss Software muss mit dem Unitec License Manager ulm(I) Programm registriert und serialisiert werden.

Siehe auch Client Konfiguration, Verbindungsoptionen


Über Unitec

Unitec Informatik ist eine kleine, 1980 gegründete Schweizer Software Firma, die sich auf die Entwicklung von Unix und Windows System-Programmen spezialisiert hat.

Unsere Hauptprodukte sind CSS (Commercial Spooling System), ein speziell für kommerziele Anwendungen konzipierter Spooler (Druckverwaltung) für Unix und Windows/NT, sowie UCM (Unitec Communication Manager) für Client-Server Kommunikation in heterogenen Netzwerken.

Wir sind stolz darauf, von unseren Kunden als beste Quelle für Druckverwaltungssoftware und Kommunikationstechnik gewählt zu sein. Unitec Software hat eine bekannt hohe Qualität.

Unser Support-Telefon läutet praktisch nie und wir setzen alles daran, dass es auch in Zukunft dabei bleibt.


Technische Unterstützung

Diese Help Datei und das Online Handbuch wurden im Bestreben, möglichst vollständige und präzise Informationen über die WinCss Software zu bieten, erstellt.

Falls Sie eine Frage haben, beginnen Sie bitte damit die Online Dokumentation zu konsultieren.

Kann Ihre Frage damit nicht beantwortet werden, können Sie sich via E-Mail an unseren Support unter support@unitec.ch wenden. Da wir nicht für durchgehenden Telefon-Support eingerichtet sind, ist der Kontakt via E-Mail die beste Wahl um schnell eine Lösung für Ihre Probleme zu erhalten.


Unitec kontaktieren

Postadresse: | Unitec Informatik Im Lot 10 CH-8610 Uster, Switzerland
Telefon: | +41 1 994 3401
Fax: | +41 1 994 3402
Home Page: | http://www.unitec.ch
E-Mail: | info@unitec.ch
Verkauf: | sales@unitec.ch
Support: | support@unitec.ch

Für Informationen über internationale Vertretungen, besuchen Sie bitte unsere Web Site.


Unitec Produkte

CSS Commercial Spooling System

Der viel beachtete und stark verbreitete Spooler (Druckverwaltung) für Unix und Windows/NT, speziell für die Bedürfnisse der kommerziellen EDV geeignet, wird weltweit von mehr als 25'000 Benutzern angewendet.

WinCss

Die grafische Schnittstelle für Unix CSS und CssNT.

UCM Unitec Communication Manager

Die einfachste Art, um in heterogenen Netzwerken komplexe Client-Server Applikationen sowie lokale Interprozess Kommunikation zu implementieren.

Um aktuelle Informationen zu allen Unitec Produkten zu erhalten, besuchen Sie bitte unsere Home Page unter www.unitec.ch.


CSS Online Handbuch

Das in diesem Help Dokument verschiedentlich erwähnte CSS Online Handbuch wird nicht mit allen Paketen ausgeliefert.

Es kann jedoch Online im Support Bereich konsultiert oder vom Download Bereich unserer Web Site unter www.unitec.ch heruntergeladen werden. Es stehen mehrere verschiedene Formate zur Verfügung.


Copyright

WinCss Unitec Home Page

Copyright / Trademarks

WinCss CSS Windows Interface

Copyright © 1996-2002 by Unitec Informatik. All rights reserved.

Die in diesem Dokument enthaltene Information kann ohne vorherige Ankündigung geändert werden und beinhaltet keinerlei verpflichtende Zusagen der Firma Unitec Informatik. Die hier beschriebene und durch Copyright geschützte Software wird mit einer Garantie von 90 Tagen geliefert und darf nur im Rahmen des Lizenzvertrages benutzt oder kopiert werden. Es ist ungesetzlich, diese Software zu benutzen oder zu kopieren, ausser wen im Lizenzvertrag dieses Recht ausdrücklich zugestandenen ist.

Warning: Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum extent possible under law.

Unitec Informatik
Im Lot 10
CH-8610 Uster

Switzerland

Unix is a registered trademark of AT&T Bell Labs Incorporated.
Unitec is a registered trademark of Unitec Informatik, Switzerland.
Windows and Windows NT are registered trademarks of Microsoft Corporation

Zurück zum Anfang

Copyright Notice